This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 984248 - Review Request: mingw-shapelib - MinGW Windows shapelib library
Review Request: mingw-shapelib - MinGW Windows shapelib library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Cronenworth
Fedora Extras Quality Assurance
:
Depends On: 983759
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-13 20:18 EDT by Sandro Mani
Modified: 2013-08-22 20:43 EDT (History)
1 user (show)

See Also:
Fixed In Version: mingw-shapelib-1.3.0-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-22 20:38:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mike: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sandro Mani 2013-07-13 20:18:14 EDT
Spec URL: http://smani.fedorapeople.org/mingw-shapelib.spec
SRPM URL: http://smani.fedorapeople.org/mingw-shapelib-1.3.0-1.fc20.src.rpm
Description: MinGW Windows shapelib library
Fedora Account System Username: smani
Comment 1 Michael Cronenworth 2013-07-14 11:43:34 EDT
+ OK
! needs attention

+ The package is named according to Fedora MinGW packaging guidelines
+ The spec file name matches the base package name.
+ The package meets the Packaging Guidelines
+ The package is licensed with a Fedora approved license and meets the
  Licensing Guidelines.
! The license field in the spec file matches the actual license
+ The stated license is the same as the one for the corresponding
  native Fedora package
! The package contains the license file (COPYING.lib)
+ Spec file is written in American English
+ Spec file is legible
+ Upstream sources match sources in the srpm. md5sum:
  2ff7d0b21d4b7506b452524492795f77  Downloads/shapelib-1.3.0.tar.gz
  2ff7d0b21d4b7506b452524492795f77  SOURCES/shapelib-1.3.0.tar.gz
! The package builds in koji
n/a ExcludeArch bugs filed
! BuildRequires look sane
n/a locale handling
n/a ldconfig in %post and %postun
+ Package does not bundle copies of system libraries
n/a Package isn't relocatable
+ Package owns all directories it creates
+ No duplicate files in %files
+ Permissions are properly set
+ Consistent use of macros
+ The package must contain code or permissible content
n/a Large documentation files should go in -doc subpackage
+ Files marked %doc should not affect package
n/a Header files should be in -devel
Not applicable to MinGW packages.
+ Static libraries should be in -static
n/a Library files that end in .so must go in a -devel package
n/a -devel must require the fully versioned base
+ Packages must not contain libtool .la files
n/a Packages containing GUI apps must include %{name}.desktop file
+ Directory ownership sane
+ Filenames are valid UTF-8

-----
Summary:
- BR for mingw64-proj, package does not exist.
  http://koji.fedoraproject.org/koji/taskinfo?taskID=5605993
- License is missing GPLv2 and Public Domain
  contrib/csv2shp.c: GPL (v2 or later)
  contrib/dbfinfo.c: Public domain
  contrib/dbfcat.c: Public domain
Comment 2 Sandro Mani 2013-07-14 12:56:18 EDT
As for the licenses, I'll need to have a look. Upstream says it is LGPL or MIT (and the native shapelib package also uses that license). The mingw64-proj package is indeed missing, I have filed bug #983759 about that. I'll take care of that one first.
Comment 3 Sandro Mani 2013-08-08 14:26:57 EDT
Spec URL: http://smani.fedorapeople.org/mingw-shapelib.spec
SRPM URL: http://smani.fedorapeople.org/mingw-shapelib-1.3.0-2.fc20.src.rpm

* Thu Aug 08 2013 Sandro Mani <manisandro@gmail.com> - 1.3.0-2
- Add missing licenses

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5795349

(Note: currently only builds for rawhide, for 19 a mingw-proj buildroot override is needed)
Comment 4 Michael Cronenworth 2013-08-09 17:53:38 EDT
Looks good. Problems were resolved.

APPROVED
Comment 5 Sandro Mani 2013-08-09 18:48:06 EDT
Thanks Michael!

New Package SCM Request
=======================
Package Name: mingw-shapelib
Short Description: MinGW Windows shapelib library
Owners: smani
Branches: f19 f18
InitialCC:
Comment 6 Gwyn Ciesla 2013-08-12 08:46:18 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-08-12 10:27:00 EDT
mingw-shapelib-1.3.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mingw-shapelib-1.3.0-2.fc19
Comment 8 Fedora Update System 2013-08-12 10:27:59 EDT
mingw-shapelib-1.3.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mingw-shapelib-1.3.0-2.fc18
Comment 9 Fedora Update System 2013-08-14 22:49:48 EDT
mingw-shapelib-1.3.0-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 10 Fedora Update System 2013-08-22 20:38:26 EDT
mingw-shapelib-1.3.0-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 11 Fedora Update System 2013-08-22 20:43:24 EDT
mingw-shapelib-1.3.0-2.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.